<script setup lang="ts">
import "vue3-select-component/dist/style.css";

import { ref, watch, defineProps } from "vue";
import VueSelect, { type Option } from "vue3-select-component";

type Options  = Option<number>;

const props = defineProps<{
  options: Options[],
  placeholder: string
  selected: number[]
}>();

const emit = defineEmits(['update:selected']);

const selectedOptions = ref<number[]>(props.selected);

watch(() => props.selected, (newSelected) => {
    selectedOptions.value = newSelected;
});

console.log(props.placeholder);
console.log(props.selected);
console.log(selectedOptions);

const emitSelected = () => {
  emit('update:selected', selectedOptions.value);
};
</script>

<template>
  <VueSelect
    v-model="selectedOptions"
    :is-multi="true"
    :options="props.options"
    :get-option-label="option => option.label"
    :placeholder="props.placeholder"
    @update:modelValue="emitSelected"
    class="w-full mt-1 block border-gray-300 rounded-md"
  />
</template>
